import dynamix_sdk.base as _base


class CloudapiComputeAffinityLabelRemoveResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputeAffinityLabelRemoveProtocol(
    _base.BasePostAPIFunctionProtocol
):
    def affinity_label_remove(
        self,
        *,
        vm_id: int,
    ) -> CloudapiComputeAffinityLabelRemoveResultBool:
        ...
